1 Reply Latest reply on Nov 27, 2016 12:24 PM by black_zion

    How to get version 16.20.1025 on an AMD Radeon R7 200 Series?

    69magicp69

      Whenever i try to start Battlefield 1 it says this error message: "Detected AMD Radeon driver version 16.15.2401 The required driver version is 16.20.1025 or later. Please update your drivers at http://www.amd.com/ before playing the game". How do i get it on my graphics card? (AMD Radeon R7 200 Series)